Subject: Re: [bug#74609] [PATCH] Adding a fully-bootstrapped mono

From: Ludovic Courtès <[email-masked]>
Date: Fri, 13 Dec 2024 22:22:46 +0100

unmush <[email-masked]> skribis:

> First, github dropped support for the git:// protocol in 2021, so
> recursive clones won't work now.  This means I have to explicitly list
> out every submodule, its commit, and its sha256 hash, for every mono
> version until they switched to using http or https.  mono-2.11.4 has
> only 4 submodules, but that doesn't last for long: by mono-4.9.0 it has
> 14 submodules.  A significant portion of these patches is just listing
> these submodules and their hashes.  It's a bit annoying.

As I read this, I realize that ‘git-fetch-with-fallback’ (used by
‘git-fetch’ for origins) won’t actually fall back to Software Heritage
for just submodules.  It’s all or nothing.

So the SWH fallback didn’t help you at all, right?

In an ideal world, it would have kicked in automatically.

Ludo’.